-- disable recipes to craft base game science packs
data.raw.recipe["science-pack-1"].enabled = false
data.raw.recipe["science-pack-2"].enabled = false
data.raw.recipe["science-pack-3"].enabled = false
data.raw.recipe["alien-science-pack"].enabled = false

-- disable technology unlocking alien science pack recipe
data.raw.technology["alien-technology"].enabled = false

-- remove science pack 3 recipe unlock from battery technology
for i = 1, #data.raw.technology["battery"].effects do
    effect = data.raw.technology["battery"].effects[i]
    if effect.type == "unlock-recipe" and effect.recipe == "science-pack-3" then
        index = i
    end
end
table.remove(data.raw.technology["battery"].effects, index)

require("prototypes/recipe-category")
require("prototypes/recipe")
require("prototypes/item")
require("prototypes/technology")
require("prototypes/entity")

