data:extend({
    {
        type = "item",
        name = "research-station-1",
        icon = "__research-overhaul__/graphics/research-station-1-icon.png",
        flags = { "goes-to-quickbar" },
        subgroup = "production-machine",
        order = "x[research-station-1]",
        place_result = "research-station-1",
        stack_size = 50
    },
    {
        type = "item",
        name = "research-station-2",
        icon = "__research-overhaul__/graphics/research-station-2-icon.png",
        flags = { "goes-to-quickbar" },
        subgroup = "production-machine",
        order = "y[research-station-2]",
        place_result = "research-station-2",
        stack_size = 50
    },
    {
        type = "item",
        name = "research-station-3",
        icon = "__research-overhaul__/graphics/research-station-3-icon.png",
        flags = { "goes-to-quickbar" },
        subgroup = "production-machine",
        order = "z[research-station-3]",
        place_result = "research-station-3",
        stack_size = 50
    },
    {
        type = "tool",
        name = "basic-science-pack",
        icon = "__research-overhaul__/graphics/basic-science-pack.png",
        flags = {"goes-to-main-inventory"},
        subgroup = "science-pack",
        order = "a[science-pack-1]",
        stack_size = 200,
        durability = 1,
        durability_description_key = "description.science-pack-remaining-amount"
    },
    {
        type = "tool",
        name = "advanced-science-pack",
        icon = "__research-overhaul__/graphics/advanced-science-pack.png",
        flags = {"goes-to-main-inventory"},
        subgroup = "science-pack",
        order = "a[science-pack-2]",
        stack_size = 200,
        durability = 1,
        durability_description_key = "description.science-pack-remaining-amount"
    },
    {
        type = "tool",
        name = "expert-science-pack",
        icon = "__research-overhaul__/graphics/expert-science-pack.png",
        flags = {"goes-to-main-inventory"},
        subgroup = "science-pack",
        order = "a[science-pack-3]",
        stack_size = 200,
        durability = 1,
        durability_description_key = "description.science-pack-remaining-amount"
    },
    {
        type = "tool",
        name = "metallurgy-science-pack",
        icon = "__research-overhaul__/graphics/metallurgy-science-pack.png",
        flags = {"goes-to-main-inventory"},
        subgroup = "science-pack",
        order = "a[science-pack-4]",
        stack_size = 200,
        durability = 1,
        durability_description_key = "description.science-pack-remaining-amount"
    },
    {
        type = "tool",
        name = "military-science-pack",
        icon = "__research-overhaul__/graphics/military-science-pack.png",
        flags = {"goes-to-main-inventory"},
        subgroup = "science-pack",
        order = "a[science-pack-5]",
        stack_size = 200,
        durability = 1,
        durability_description_key = "description.science-pack-remaining-amount"
    },
    {
        type = "tool",
        name = "chemistry-science-pack",
        icon = "__research-overhaul__/graphics/chemistry-science-pack.png",
        flags = {"goes-to-main-inventory"},
        subgroup = "science-pack",
        order = "a[science-pack-6]",
        stack_size = 200,
        durability = 1,
        durability_description_key = "description.science-pack-remaining-amount"
    },
    {
        type = "tool",
        name = "hitech-science-pack",
        icon = "__research-overhaul__/graphics/hitech-science-pack.png",
        flags = {"goes-to-main-inventory"},
        subgroup = "science-pack",
        order = "a[science-pack-7]",
        stack_size = 200,
        durability = 1,
        durability_description_key = "description.science-pack-remaining-amount"
    },
    {
        type = "tool",
        name = "automation-science-pack",
        icon = "__research-overhaul__/graphics/automation-science-pack.png",
        flags = {"goes-to-main-inventory"},
        subgroup = "science-pack",
        order = "a[science-pack-8]",
        stack_size = 200,
        durability = 1,
        durability_description_key = "description.science-pack-remaining-amount"
    },
    {
        type = "tool",
        name = "robotics-science-pack",
        icon = "__research-overhaul__/graphics/robotics-science-pack.png",
        flags = {"goes-to-main-inventory"},
        subgroup = "science-pack",
        order = "a[science-pack-9]",
        stack_size = 200,
        durability = 1,
        durability_description_key = "description.science-pack-remaining-amount"
    },
    {
        type = "tool",
        name = "rocketry-science-pack",
        icon = "__research-overhaul__/graphics/rocketry-science-pack.png",
        flags = {"goes-to-main-inventory"},
        subgroup = "science-pack",
        order = "a[science-pack-10]",
        stack_size = 200,
        durability = 1,
        durability_description_key = "description.science-pack-remaining-amount"
    },
    {
        type = "tool",
        name = "electronics-science-pack",
        icon = "__research-overhaul__/graphics/electronics-science-pack.png",
        flags = {"goes-to-main-inventory"},
        subgroup = "science-pack",
        order = "a[science-pack-11]",
        stack_size = 200,
        durability = 1,
        durability_description_key = "description.science-pack-remaining-amount"
    },
    {
        type = "tool",
        name = "power-science-pack",
        icon = "__research-overhaul__/graphics/power-science-pack.png",
        flags = {"goes-to-main-inventory"},
        subgroup = "science-pack",
        order = "a[science-pack-12]",
        stack_size = 200,
        durability = 1,
        durability_description_key = "description.science-pack-remaining-amount"
    }
})
