data:extend({
    {
        type = "recipe",
        name = "research-station-1",
        energy_required = 5,
        ingredients = {
            { "iron-plate", 5 },
            { "electronic-circuit", 2 }
        },
        result = "research-station-1",
        enabled = true
    },
    {
        type = "recipe",
        name = "research-station-2",
        energy_required = 5,
        ingredients = {
            { "research-station-1", 1 },
            { "electronic-circuit", 5 }
        },
        result = "research-station-2",
        enabled = false
    },
    {
        type = "recipe",
        name = "research-station-3",
        energy_required = 5,
        ingredients = {
            { "research-station-2", 1 },
            { "electronic-circuit", 5 }
        },
        result = "research-station-3",
        enabled = false
    },
    {
        type = "recipe",
        name = "basic-science-pack",
        energy_required = 10,
        ingredients = {},
        result = "basic-science-pack",
        category = "basic-research-crafting",
        enabled = true
    },
    {
        type = "recipe",
        name = "advanced-science-pack",
        energy_required = 20,
        ingredients = {
            { "basic-science-pack", 2 }
        },
        result = "advanced-science-pack",
        category = "research-crafting",
        enabled = false
    },
    {
        type = "recipe",
        name = "expert-science-pack",
        energy_required = 20,
        ingredients = {
            { "advanced-science-pack", 2 }
        },
        result = "expert-science-pack",
        category = "advanced-research-crafting",
        enabled = false
    },
    {
        type = "recipe",
        name = "metallurgy-science-pack",
        energy_required = 20,
        ingredients = {
            { "basic-science-pack", 2 }
        },
        result = "metallurgy-science-pack",
        category = "research-crafting",
        enabled = false
    },
    {
        type = "recipe",
        name = "military-science-pack",
        energy_required = 20,
        ingredients = {
            { "basic-science-pack", 2 }
        },
        result = "military-science-pack",
        category = "research-crafting",
        enabled = false
    },
    {
        type = "recipe",
        name = "automation-science-pack",
        energy_required = 20,
        ingredients = {
            { "basic-science-pack", 2 }
        },
        result = "automation-science-pack",
        category = "research-crafting",
        enabled = false
    },
    {
        type = "recipe",
        name = "chemistry-science-pack",
        energy_required = 20,
        ingredients = {
            { "advanced-science-pack", 2 }
        },
        result = "chemistry-science-pack",
        category = "advanced-research-crafting",
        enabled = false
    },
    {
        type = "recipe",
        name = "hitech-science-pack",
        energy_required = 20,
        ingredients = {
            { "expert-science-pack", 2 }
        },
        result = "hitech-science-pack",
        category = "advanced-research-crafting",
        enabled = false
    },
    {
        type = "recipe",
        name = "robotics-science-pack",
        energy_required = 20,
        ingredients = {
            { "advanced-science-pack", 2 }
        },
        result = "robotics-science-pack",
        category = "advanced-research-crafting",
        enabled = false
    },
    {
        type = "recipe",
        name = "rocketry-science-pack",
        energy_required = 20,
        ingredients = {
            { "advanced-science-pack", 2 }
        },
        result = "rocketry-science-pack",
        category = "advanced-research-crafting",
        enabled = false
    },
    {
        type = "recipe",
        name = "electronics-science-pack",
        energy_required = 20,
        ingredients = {
            { "basic-science-pack", 2 }
        },
        result = "electronics-science-pack",
        category = "research-crafting",
        enabled = false
    },
    {
        type = "recipe",
        name = "power-science-pack",
        energy_required = 20,
        ingredients = {
            { "basic-science-pack", 2 }
        },
        result = "power-science-pack",
        category = "research-crafting",
        enabled = false
    }
})

